Package net.md_5.bungee.protocol.packet

# Class ClientSettings

java.lang.Object
net.md_5.bungee.protocol.DefinedPacket
net.md_5.bungee.protocol.packet.ClientSettings

public class ClientSettings extends DefinedPacket

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ClientSettings.ParticleStatus`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientSettings()`
  `ClientSettings(String locale, byte viewDistance, int chatFlags, boolean chatColours, byte difficulty, byte skinParts, int mainHand, boolean disableTextFiltering, boolean allowServerListing, ClientSettings.ParticleStatus particleStatus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `getChatFlags()`
  `byte`
  `getDifficulty()`
  `String`
  `getLocale()`
  `int`
  `getMainHand()`
  `ClientSettings.ParticleStatus`
  `getParticleStatus()`
  `byte`
  `getSkinParts()`
  `byte`
  `getViewDistance()`
  `void`
  `handle(AbstractPacketHandler handler)`
  `int`
  `hashCode()`
  `boolean`
  `isAllowServerListing()`
  `boolean`
  `isChatColours()`
  `boolean`
  `isDisableTextFiltering()`
  `void`
  `read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`
  `void`
  `setAllowServerListing(boolean allowServerListing)`
  `void`
  `setChatColours(boolean chatColours)`
  `void`
  `setChatFlags(int chatFlags)`
  `void`
  `setDifficulty(byte difficulty)`
  `void`
  `setDisableTextFiltering(boolean disableTextFiltering)`
  `void`
  `setLocale(String locale)`
  `void`
  `setMainHand(int mainHand)`
  `void`
  `setParticleStatus(ClientSettings.ParticleStatus particleStatus)`
  `void`
  `setSkinParts(byte skinParts)`
  `void`
  `setViewDistance(byte viewDistance)`
  `String`
  `toString()`
  `void`
  `write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)`

  ### Methods inherited from class net.md_5.bungee.protocol.DefinedPacket

  `nextProtocol, read, read, readArray, readArray, readBaseComponent, readBaseComponent, readComponentStyle, readEitherBaseComponent, readEnumSet, readFixedBitSet, readLengthPrefixed, readNullable, readNumberFormat, readProperties, readPublicKey, readString, readString, readStringArray, readStringMapKey, readTag, readTag, readUUID, readVarInt, readVarInt, readVarIntArray, readVarShort, setVarInt, toArray, write, write, writeArray, writeBaseComponent, writeComponentStyle, writeEitherBaseComponent, writeEnumSet, writeFixedBitSet, writeLengthPrefixed, writeNullable, writeNumberFormat, writeProperties, writePublicKey, writeString, writeString, writeStringArray, writeTag, writeUUID, writeVarInt, writeVarShort`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClientSettings

    public ClientSettings()

  - ### ClientSettings

    public ClientSettings(String locale, byte viewDistance, int chatFlags, boolean chatColours, byte difficulty, byte skinParts, int mainHand, boolean disableTextFiltering, boolean allowServerListing, ClientSettings.ParticleStatus particleStatus)

- ## Method Details

  - ### read

    public void read(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `read` in class `DefinedPacket`

  - ### write

    public void write(io.netty.buffer.ByteBuf buf, ProtocolConstants.Direction direction, int protocolVersion)
    Overrides:
      `write` in class `DefinedPacket`

  - ### handle

    public void handle(AbstractPacketHandler handler) throws Exception
    Specified by:
      `handle` in class `DefinedPacket`
    Throws:
      `Exception`

  - ### getLocale

    public String getLocale()

  - ### getViewDistance

    public byte getViewDistance()

  - ### getChatFlags

    public int getChatFlags()

  - ### isChatColours

    public boolean isChatColours()

  - ### getDifficulty

    public byte getDifficulty()

  - ### getSkinParts

    public byte getSkinParts()

  - ### getMainHand

    public int getMainHand()

  - ### isDisableTextFiltering

    public boolean isDisableTextFiltering()

  - ### isAllowServerListing

    public boolean isAllowServerListing()

  - ### getParticleStatus

    public ClientSettings.ParticleStatus getParticleStatus()

  - ### setLocale

    public void setLocale(String locale)

  - ### setViewDistance

    public void setViewDistance(byte viewDistance)

  - ### setChatFlags

    public void setChatFlags(int chatFlags)

  - ### setChatColours

    public void setChatColours(boolean chatColours)

  - ### setDifficulty

    public void setDifficulty(byte difficulty)

  - ### setSkinParts

    public void setSkinParts(byte skinParts)

  - ### setMainHand

    public void setMainHand(int mainHand)

  - ### setDisableTextFiltering

    public void setDisableTextFiltering(boolean disableTextFiltering)

  - ### setAllowServerListing

    public void setAllowServerListing(boolean allowServerListing)

  - ### setParticleStatus

    public void setParticleStatus(ClientSettings.ParticleStatus particleStatus)

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `DefinedPacket`

  - ### equals

    public boolean equals(Object o)
    Specified by:
      `equals` in class `DefinedPacket`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `DefinedPacket`